package com.bjsxt.servlet;

import javax.servlet.ServletContext;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.*;

public class DownFileServlet extends HttpServlet {
    @Override
    protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        this.doPost(req, resp);
    }

    @Override
    protected void doPost(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        //获取ServletContext对象
        ServletContext servletContext = this.getServletContext();
        //路径转换
        String realPath = servletContext.getRealPath("file/开题报告.docx");
        System.out.println(realPath);

        File file = new File(realPath);
        BufferedInputStream bufferedInputStream = new BufferedInputStream(new FileInputStream(file));
        byte[] buff = new byte[bufferedInputStream.available()];
        bufferedInputStream.read(buff);

        //resp.setHeader("Content-Disposition","attachment;filename="+file.getName());
        resp.setHeader("Content-Disposition","attachment;filename="+new String(file.getName().getBytes("gbk"),"iso-8859-1"));
        //解决文件名中文乱码问题
        BufferedOutputStream bufferedOutputStream = new BufferedOutputStream(resp.getOutputStream());
        bufferedOutputStream.write(buff);
        bufferedOutputStream.flush();
        bufferedOutputStream.close();
    }
}
