package com.bjsxt.servlet;

import javax.servlet.ServletContext;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.io.PrintWriter;

public class GetBaseInfoServlet extends HttpServlet {
    @Override
    protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        this.doPost(req, resp);
    }

    @Override
    protected void doPost(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        resp.setContentType("text/html;charset=utf-8");

        ServletContext servletContext = this.getServletContext();
        String serverInfo = servletContext.getServerInfo();
        int majorVersion = servletContext.getMajorVersion();
        int minorVersion = servletContext.getMinorVersion();
        PrintWriter out = resp.getWriter();

        out.println(" <!DOCTYPE html>");
        out.println("<html lang='en'>");
        out.println(" <head>");
        out.println(" <meta charset='UTF-8'>");
        out.println("<title>itbaizhan</title>");
        out.println("<meta name='Generator' content='EditPlus'>");
        out.println(" <meta name='Author' content=''>");
        out.println(" <meta name='Keywords' content=''>");
        out.println(" <meta name='Description' content=''>");
        out.println(" </head>");
        out.println(" <body>");
        out.println("Servlet容器的名称以及版本:"+serverInfo+"<br>");
        out.println("容器所支持的Servlet的版本号:"+majorVersion+"."+minorVersion);
        out.println(" </body>");
        out.flush();
        out.close();
    }
}
