package com.bjsxt.servlet;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.io.PrintWriter;
import java.util.*;

/**
 * 获取请求数据
 */
public class GetRequestDataServlet extends HttpServlet {
    @Override
    protected void doPost(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        //设置请求编码(必须放在第一行)
        req.setCharacterEncoding("utf-8");
        resp.setContentType("text/html;charset=utf-8");
        //根据key获取指定value
        String username = req.getParameter("邮箱");
        System.out.println(username);
        /*//获取复选框(checkbox 组件)中的值，返回一个String[]
        String[] hobbies = req.getParameterValues("userlike");
        List<String> likes = Arrays.asList(hobbies);*/
        //获取所有提交数据的key
        Enumeration<String> parameterNames = req.getParameterNames();
        List<String> keys = new ArrayList<>();
        while(parameterNames.hasMoreElements()){
            keys.add(parameterNames.nextElement());
        }
        PrintWriter out = resp.getWriter();
        out.println(" <!DOCTYPE html>");
        out.println("<html lang='en'>");
        out.println(" <head>");
        out.println(" <meta charset='UTF-8'>");
        out.println("<title>itbaizhan</title>");
        out.println("<meta name='Generator' content='EditPlus'>");
        out.println(" <meta name='Author' content=''>");
        out.println(" <meta name='Keywords' content=''>");
        out.println(" <meta name='Description' content=''>");
        out.println(" </head>");
        out.println(" <body>");
        out.println(" username:"+username+"<br/>");
        //out.println(" hobbies:"+likes+"<br/>");
        out.println(" keys:"+keys+"<br/>");
        //使用Map结构获取提交数据
        Map<String, String[]> parameterMap = req.getParameterMap();
        Set<String> mapKeys = parameterMap.keySet();
        for (String s:mapKeys) {
            List<String> values = Arrays.asList(parameterMap.get(s));
            out.println(" name:"+s+ "\t" + "values:" + values + "<br/>");
        }
        out.println(" </body>");
        out.flush();
        out.close();
    }
}
