package com.bjsxt.servlet;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.io.PrintWriter;
import java.util.*;

/**
 * 获取请求头信息
 */
public class GetRequestHeaderServlet extends HttpServlet {
    @Override
    protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        this.doPost(req, resp);
    }

    @Override
    protected void doPost(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        String header = req.getHeader("Accept-Language");


        //从HttpServletResponse对象中获取字符输出流对象
        PrintWriter out = resp.getWriter();

        out.println(" <!DOCTYPE html>");
        out.println("<html lang='en'>");
        out.println(" <head>");
        out.println(" <meta charset='UTF-8'>");
        out.println("<title>itbaizhan</title>");
        out.println("<meta name='Generator' content='EditPlus'>");
        out.println(" <meta name='Author' content=''>");
        out.println(" <meta name='Keywords' content=''>");
        out.println(" <meta name='Description' content=''>");
        out.println(" </head>");
        out.println(" <body>");
        out.println("Header:"+header+"<br/>");


        Enumeration<String> headerNames = req.getHeaderNames();
        while (headerNames.hasMoreElements()){
            String key = headerNames.nextElement();
            String value = req.getHeader(key);
            out.println("key:"+key+"\tvalue:"+value+"<br/>");
        }
        out.println(" </body>");
        out.flush();
        out.close();
    }
}
