package com.bjsxt.servlet;

import javax.servlet.ServletException;
import javax.servlet.http.Cookie;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.io.PrintWriter;
import java.net.URLDecoder;

public class WelcomeServlet extends HttpServlet {
    @Override
    protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        this.doPost(req, resp);
    }

    @Override
    protected void doPost(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        Cookie[] cookies = req.getCookies();
        boolean flag = false;
        if(cookies != null){
            for(Cookie cookie:cookies){
                if("Hellen".equals(cookie.getName())){
                    flag = true;
                }
            }
        }

        resp.setContentType("text/html;charset=utf-8");
        PrintWriter out = resp.getWriter();

        out.println(" <!DOCTYPE html>");
        out.println("<html lang='en'>");
        out.println(" <head>");
        out.println(" <meta charset='UTF-8'>");
        out.println("<title>itbaizhan</title>");
        out.println("<meta name='Generator' content='EditPlus'>");
        out.println(" <meta name='Author' content=''>");
        out.println(" <meta name='Keywords' content=''>");
        out.println(" <meta name='Description' content=''>");
        out.println(" </head>");
        out.println(" <body>");
        if(flag){
            out.println("欢迎您回来！");
        }else{
            out.println("您好，欢迎您加入！");
            Cookie cookie = new Cookie("Hellen", "null");
            resp.addCookie(cookie);
        }
        out.println(" </body>");
        out.flush();
        out.close();
    }
}
