package com.bjsxt.servlet;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.*;

/**
 * 设置字符型响应
 */
public class RespByteServlet extends HttpServlet {
    @Override
    protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        this.doPost(req, resp);
    }

    @Override
    protected void doPost(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        //读取文件
        BufferedInputStream bufferedInputStream = new BufferedInputStream(new FileInputStream("D:/dog.jpg"));
       byte[] buff = new byte[bufferedInputStream.available()];
       bufferedInputStream.read(buff);

        //设置响应类型
        resp.setContentType("image/jpg;charset=utf-8");
        BufferedOutputStream bufferedOutputStream = new BufferedOutputStream(resp.getOutputStream()) ;
        bufferedOutputStream.write(buff);
        bufferedOutputStream.flush();
        bufferedOutputStream.close();
    }
}
